Bug 910977 - unable to bind ctrl-alt-right and ctrl-alt-left to rotate cube with compiz-0.8.8-14 and related rpms in updates-testing
Summary: unable to bind ctrl-alt-right and ctrl-alt-left to rotate cube with compiz-0....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 18
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-14 05:39 UTC by thomas.swan
Modified: 2013-02-24 09:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-24 08:45:36 UTC


Attachments (Terms of Use)

Description thomas.swan 2013-02-14 05:39:40 UTC
Description of problem:
With compiz-0.8.8-13, I could bind ctrl+alt+right and ctrl+alt+left to rotate the cube left and right.  After upgrading to compiz-0.8.8-14 in testing, I was unable to bind ctrl+alt anything with it displaying <Primary>+<Alt>+Right in the binding box. 

Version-Release number of selected component (if applicable):
 compiz                  x86_64    1:0.8.8-14.fc18     updates-testing    922 k
 compiz-lxde             x86_64    1:0.8.8-14.fc18     updates-testing    7.0 k
 compiz-mate             x86_64    1:0.8.8-14.fc18     updates-testing     24 k
 compiz-plugins-extra    x86_64    1:0.8.8-8.fc18      updates-testing    2.5 M
 compiz-plugins-main     x86_64    1:0.8.8-7.fc18      updates-testing    1.1 M
 compiz-xfce             x86_64    1:0.8.8-14.fc18     updates-testing    7.0 k
How reproducible:
 always.  with and without a fresh profile.


Steps to Reproduce:
1. enable rotate cube with compiz-0.8.8-13 installed
2. rotate cube using ctrl+alt+right and ctrl+alt+left (defaults)
3. upgrade to compiz-0.8.8-14 in the updates-testing repo
4. unable to use the same key bindings
5. change the default bindings (which are now alt+right and alt+left, also used by firefox)  to ctrl+alt+left and ctrl+alt+right
6. notice that is is not recorded as ctrl+alt+right, but as <Primary>+<Alt>+<Right>
  
Actual results:
Can no long bind keystrokes ctrl+alt+something

Expected results:
Continued default bindings for ctrl+alt+something or at the minimum the ability to bind ctrl+alt+something

Additional info:

Comment 1 Fedora Update System 2013-02-14 08:37:20 UTC
compiz-0.8.8-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-15.fc18

Comment 2 Wolfgang Ulbrich 2013-02-14 08:42:50 UTC
i've removed compiz-0.8.8-14 from testing yesterday.
Try compiz-0.8.8-15.fc18
see also
https://bugzilla.redhat.com/show_bug.cgi?id=909657

Comment 3 Wolfgang Ulbrich 2013-02-14 08:49:39 UTC
control is called now primary in ccsm.
But i forgot to change the defaults to primary in compiz-0.8.8-14
For this reason it was alt+right.
With compiz-0.8.8-15.fc18 it is changege to primary+alt+right.

Comment 4 Fedora Update System 2013-02-15 05:01:20 UTC
Package compiz-0.8.8-15.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing compiz-0.8.8-15.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2496/compiz-0.8.8-15.fc18
then log in and leave karma (feedback).

Comment 5 thomas.swan 2013-02-17 20:43:15 UTC
It fixed the key binding issue.  Thank you.  This may be closed now.

Comment 6 thomas.swan 2013-02-18 02:11:37 UTC
I apologize. I must not have restarted compiz after upgrading.  The problem still persists.  <Control><Alt>Button 1 still shows and works for the mouse initiation of cube rotation.  Unable to set <Control><Alt>Right or Left for cube rotation.

Strangely enough, the "capture key" dialogue shows <Control> when pressing <Control>, <Alt><Control> when pressing both (starting with control), but <Primary><Alt>Right when pressing ctrl+alt+right.

Comment 7 Wolfgang Ulbrich 2013-02-18 20:26:06 UTC
Can you update ccsm too?
http://koji.fedoraproject.org/koji/taskinfo?taskID=5026714
This should fix the confusion.
Those versions should be installed on your system.
compiz-0.8.8-15.fc18.x86_64
libcompizconfig-0.8.8-6.fc18
compiz-plugins-main-0.8.8-7.fc18
compiz-plugins-extra-0.8.8-8.fc18
ccsm-0.8.4-11.fc18

Comment 8 Wolfgang Ulbrich 2013-02-18 20:29:40 UTC
I recommend to use the default button first to set shortcut.

Comment 9 Fedora Update System 2013-02-19 14:08:23 UTC
ccsm-0.8.4-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ccsm-0.8.4-11.fc18

Comment 10 Fedora Update System 2013-02-24 08:45:37 UTC
ccsm-0.8.4-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-24 09:08:55 UTC
compiz-0.8.8-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.